.mc-component-library .vc-highlight-content-solid {
  color: var(--vc-highlight-solid-content-color) !important;
}
.mc-component-library tbody .mc-date-picker {
  margin: 10px 0;
}
.mc-component-library tbody .mc-date-picker .v-input {
  margin: 0 !important;
}
.mc-component-library .mc-date-picker {
  display: flex;
  flex: 1;
}
.mc-component-library .mc-date-picker-full {
  width: 100%;
}
.mc-component-library .mc-date-picker-half {
  width: 50%;
}
.mc-component-library .mc-date-picker-third {
  width: 33%;
}
.mc-component-library .mc-date-picker.column-layout .date-range {
  flex-direction: column;
}
.mc-component-library .mc-date-picker.column-layout .date-range-fields {
  flex-direction: column;
  gap: 12px;
}
.mc-component-library .mc-date-picker .date-range {
  display: flex;
  flex: 1;
  gap: 12px;
}
.mc-component-library .mc-date-picker .date-range-fields {
  display: flex;
  flex: 1;
  align-items: flex-start;
}
.mc-component-library .mc-date-picker .date-box {
  flex: 1;
  width: 100%;
  min-width: 150px;
}
.mc-component-library .mc-date-picker .date-box.has-timezone {
  min-width: 220px;
}
.mc-component-library .mc-date-picker .date-box .timezone-offset {
  color: rgba(var(--v-theme-grey));
  padding: 8px 0 8px 4px;
  font-size: 1rem;
  white-space: nowrap;
}
.mc-component-library .mc-date-picker .date-divider {
  height: 44px;
  display: flex;
  align-items: center;
  padding: 0 4px;
}
.mc-component-library .mc-date-picker .vc-time-picker::before {
  content: "Start";
}
.mc-component-library .mc-date-picker .vc-time-picker ~ .vc-time-picker::before {
  content: "End";
}
.mc-component-library .mc-date-picker:not(.range) .vc-time-picker:nth-child(4) {
  display: none;
}
.mc-component-library .mc-date-picker .vc-popover-content-wrapper {
  z-index: 9998;
}
.mc-component-library .mc-date-picker .date-range-customizations {
  display: flex;
  flex: 1;
}
.mc-component-library .mc-date-picker .date-range-customizations .v-btn-group {
  height: 44px;
}
.mc-component-library .mc-date-picker .custom-config-ranges {
  flex: 1;
}
.mc-component-library .mc-date-picker .custom-config-ranges > * {
  flex: 1;
}
.mc-component-library .mc-date-picker .custom-config-ranges > *:hover .v-btn__overlay {
  opacity: calc(var(--v-activated-opacity) * var(--v-theme-overlay-multiplier)) !important;
}
.mc-component-library .mc-date-picker .custom-config-ranges > *:hover.v-select--selected .v-field__overlay {
  opacity: calc(var(--v-activated-opacity) * var(--v-theme-overlay-multiplier)) !important;
  background-color: rgb(var(--v-theme-primary)) !important;
}
.mc-component-library .mc-date-picker .custom-config-ranges > *:hover .v-field__overlay {
  opacity: calc(var(--v-activated-opacity) * var(--v-theme-overlay-multiplier)) !important;
  background-color: rgb(var(--v-theme-border));
}
.mc-component-library .mc-date-picker .custom-config-ranges button {
  height: 44px;
  border: 1px solid rgb(var(--v-theme-border));
  border-inline-end-color: rgb(var(--v-theme-border)) !important;
  font-weight: 500;
  font-size: 1rem;
}
.mc-component-library .mc-date-picker .custom-config-ranges button .v-btn__overlay {
  opacity: 0 !important;
}
.mc-component-library .mc-date-picker .custom-day-ranges {
  font-weight: 500;
  align-items: center;
}
.mc-component-library .mc-date-picker .custom-day-ranges .v-field--variant-outlined .v-field__outline__end {
  border-inline-end-width: 1px !important;
}
.mc-component-library .mc-date-picker .custom-day-ranges .v-select--selected {
  background-color: rgb(var(--v-theme-secondary));
  color: rgb(var(--v-theme-primary));
}
.mc-component-library .mc-date-picker .custom-day-ranges .v-field__outline__start {
  border-inline-start-width: 0;
}
.mc-component-library .mc-date-picker .custom-day-ranges .v-field {
  border-radius: 0 4px 4px 0;
}
.mc-component-library .mc-date-picker .custom-day-ranges .v-select .v-field .v-field__input input {
  align-self: center;
}
.mc-component-library .mc-date-picker.disabled {
  pointer-events: none;
}
.mc-component-library .mc-date-picker.disabled .date-divider {
  opacity: 0.3;
}
.mc-component-library .mc-select-container .v-list-item-title {
  font-weight: 500;
}
.mc-component-library .reached-max-length .v-counter {
  color: rgb(var(--v-theme-error));
}